Summary:	A library for manipulating JPEG image format files.
Name:		libjpeg
Version:	6b
Release:	2
License:	distributable
Group:		System Environment/Libraries
Source0:	ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
Patch0:		jpeg-c++.patch
Buildroot:	%{_tmppath}/%{name}-root

%description
The libjpeg package contains a library of functions for manipulating
JPEG images, as well as simple client programs for accessing the
libjpeg functions.  Libjpeg client programs include cjpeg, djpeg,
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file into
JPEG format.  Djpeg decompresses a JPEG file into a regular image
file.  Jpegtran can perform various useful transformations on JPEG
files.  Rdjpgcom displays any text comments included in a JPEG file.
Wrjpgcom inserts text comments into a JPEG file.

%files
  %defattr(0444,root,root,0555)

  %attr(0555,root,root)		%{_bindir}/*
  %attr(0555,root,root)		%{_libdir}/libjpeg.so.*

%package devel
Summary:	Development tools for programs which will use the libjpeg library.
Group:		Development/Libraries
Requires:	libjpeg = %{version}

%description devel
The libjpeg-devel package includes the header files and static libraries
necessary for developing programs which will manipulate JPEG files using
the libjpeg library.

%files devel
  %defattr(0444,root,root,0555)
  %doc libjpeg.doc coderules.doc
  %doc %{_mandir}/*/*

  %attr(0444,root,root)		%{_includedir}/*.h
  %attr(0444,root,root)		%{_libdir}/*.a
  %attr(0444,root,root)		%{_libdir}/*.la
  %attr(0555,root,root)		%{_libdir}/*.so

%prep
%setup -q -n jpeg-%{version}
%patch0 -p1

%build
  cp /usr/share/libtool/config.{guess,sub} .
  %configure --enable-shared --enable-static
  make %{?_smp_mflags}

  LD_LIBRARY_PATH=$PWD make test

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT%{_bindir}
  mkdir -p $RPM_BUILD_ROOT%{_includedir}
  mkdir -p $RPM_BUILD_ROOT%{_libdir}
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

  %makeinstall

  # Work around the broken makefiles...
  mv $RPM_BUILD_ROOT%{_mandir}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
  strip -R .comment $RPM_BUILD_ROOT/%{_bindir}/* || :

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6b, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 6b, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
